#ifndef LOG2_H_
#define LOG2_H_
extern const short pow2tbl[];
/*
 * Note that following power of 2 function macro takes special
 * format of fixed point 6.26 as parameter "x".
 * 
 *    int   fraction      sub-fraction
 *  +-----+----------+----------------+
 *  |   6 |    10    |      16        |
 *  +-----+----------+----------------+
 * 		10bits fraction part is given to the idndex of pow2tbl array.
 * 		return value is 2^-x, instead of 2^x.
 */
#define POW2(x)		( pow2tbl[( x >> 16 ) & 0x3FF] >> ((unsigned int)x>>26) )

#endif /*LOG2_H_*/
